[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TLocateOption

Available options when locating a record in a dataset

## Declaration

Source position: db.pas line 1071

`type TLocateOption = (`
`loCaseInsensitive,` |  | Perform a case-insensitive search
`loPartialKey` |  | Accept partial key matches
`);`

## Description

TLocateOption is used in the TDataset.Locate call to enumerate the possible options available when locating a record in the dataset.

## See also

TDataset.Locate |  | Locate a record based on some key values
TLocateOptions |  | Options to use when locating a record in a dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net .